aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan Kara <jack@suse.cz>2018-05-29 18:56:01 +0200
committerEryu Guan <guaneryu@gmail.com>2018-06-03 22:16:15 +0800
commit41b082680737cd2aeda248db70666c66afebac41 (patch)
treec937b33491e66b8022457a86388c8a9429be3d87
parent5a111436bb88de4186a4c20b9d03f921de6bcad6 (diff)
downloadxfstests-dev-41b082680737cd2aeda248db70666c66afebac41.tar.gz
ext4/306: Fixup resize2fs usage
Use $RESIZE2FS_PROG instead of direct name to call program with full path. Also add an appropriate feature test. Signed-off-by: Jan Kara <jack@suse.cz> Reviewed-by: Eryu Guan <guaneryu@gmail.com> Signed-off-by: Eryu Guan <guaneryu@gmail.com>
-rwxr-xr-xtests/ext4/3063
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/ext4/306 b/tests/ext4/306
index 7d00bad6c1..5b3744d059 100755
--- a/tests/ext4/306
+++ b/tests/ext4/306
@@ -44,6 +44,7 @@ _supported_fs ext4
_supported_os Linux
_require_scratch
+_require_command "$RESIZE2FS_PROG" resize2fs
rm -f $seqres.full
@@ -67,7 +68,7 @@ df -h $SCRATCH_MNT >> $seqres.full
# Grow fs by 512m
echo "Resize to 1g"
-resize2fs $SCRATCH_DEV 1g >> $seqres.full 2>&1 || _fail "Could not resize to 1g"
+$RESIZE2FS_PROG $SCRATCH_DEV 1g >> $seqres.full 2>&1 || _fail "Could not resize to 1g"
df -h $SCRATCH_MNT >> $seqres.full
# See if we can add more blocks to the files